URLImportTask (Ant Contrib)
Keywords: net.sf.antcontrib.net.URLImportTask class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.net
Class URLImportTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              net.sf.antcontrib.net.URLImportTask

    public class URLImportTask

extends org.apache.tools.ant.Task

Task to import a build file from a url. The build file can be a build.xml, or a .zip/.jar, in which case we download and extract the entire archive, and import the file "build.xml"

Author:
  inger

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`URLImportTask()`

Method Summary
`void` | `execute()`
`void` | `setIvyConfFile(java.io.File ivyConfFile)`
`void` | `setIvyConfUrl(java.net.URL ivyConfUrl)`
`void` | `setModule(java.lang.String module)`
`void` | `setOrg(java.lang.String org)`
`void` | `setRev(java.lang.String rev)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URLImportTask

    public URLImportTask()

Method Detail

### setModule

    public void setModule(java.lang.String module)

### setOrg

    public void setOrg(java.lang.String org)

### setRev

    public void setRev(java.lang.String rev)

### setIvyConfFile

    public void setIvyConfFile(java.io.File ivyConfFile)

### setIvyConfUrl

    public void setIvyConfUrl(java.net.URL ivyConfUrl)

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD